Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class MBeanMetaDataSupport

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.MBeanMetaDataSupport

All Implemented Interfaces:
  MBeanInterfaceMetaData, MBeanMetaData

public class MBeanMetaDataSupport
extends java.lang.Object
implements MBeanMetaData

Author:
  Young Yang

Constructor Summary
`MBeanMetaDataSupport(ObjectName objectName, java.lang.Object mbeanObject, MBeanInterfaceMetaData interfaceMetaData)`

Method Summary
`java.lang.reflect.Constructor` | `findConstructor(java.lang.Class[] signatures)`
`java.lang.Object` | `getAttribute(java.lang.String attribute)`
`MBeanAttributeInfo` | `getAttributeInfo(java.lang.String attribute)`
`MBeanAttributeInfo[]` | `getAttributes()`
`AttributeList` | `getAttributes(java.lang.String[] attributes)`
`java.lang.ClassLoader` | `getClassLoader()`
`java.lang.String` | `getClassName()`
`MBeanInfo` | `getMBeanInfo()`
`java.lang.Object` | `getMBeanObject()`
`ObjectInstance` | `getObjectInstance()`
`ObjectName` | `getObjectName()`
`MBeanOperationInfo[]` | `getOperations()`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signatures)`
`boolean` | `isDynamic()`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanMetaDataSupport

    public MBeanMetaDataSupport(ObjectName objectName,
                                java.lang.Object mbeanObject,
                                MBeanInterfaceMetaData interfaceMetaData)

Method Detail

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `MBeanMetaData`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `MBeanMetaData`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `MBeanMetaData`

### getAttributeInfo

    public MBeanAttributeInfo getAttributeInfo(java.lang.String attribute)
                                        throws AttributeNotFoundException

  Specified by:
    `getAttributeInfo` in interface `MBeanInterfaceMetaData`
    `AttributeNotFoundException`

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

  Specified by:
    `getAttributes` in interface `MBeanInterfaceMetaData`

### getOperations

    public MBeanOperationInfo[] getOperations()

  Specified by:
    `getOperations` in interface `MBeanInterfaceMetaData`

### getObjectName

    public ObjectName getObjectName()

  Specified by:
    `getObjectName` in interface `MBeanMetaData`

### findConstructor

    public java.lang.reflect.Constructor findConstructor(java.lang.Class[] signatures)

### getMBeanObject

    public java.lang.Object getMBeanObject()

  Specified by:
    `getMBeanObject` in interface `MBeanMetaData`

### getObjectInstance

    public ObjectInstance getObjectInstance()

  Specified by:
    `getObjectInstance` in interface `MBeanMetaData`

### isDynamic

    public boolean isDynamic()

  Specified by:
    `isDynamic` in interface `MBeanMetaData`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws MBeanException,
                                         AttributeNotFoundException,
                                         ReflectionException

  Specified by:
    `getAttribute` in interface `MBeanMetaData`
    `MBeanException`
    `AttributeNotFoundException`
    `ReflectionException`

### getAttributes

    public AttributeList getAttributes(java.lang.String[] attributes)
                                throws MBeanException,
                                       AttributeNotFoundException,
                                       ReflectionException

  Specified by:
    `getAttributes` in interface `MBeanMetaData`
    `MBeanException`
    `AttributeNotFoundException`
    `ReflectionException`

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Specified by:
    `setAttribute` in interface `MBeanMetaData`
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)
                                throws AttributeNotFoundException,
                                       InvalidAttributeValueException,
                                       MBeanException,
                                       ReflectionException

  Specified by:
    `setAttributes` in interface `MBeanMetaData`
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signatures)
                            throws MBeanException,
                                   ReflectionException

  Specified by:
    `invoke` in interface `MBeanMetaData`
    `MBeanException`
    `ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD